net.dontdrinkandroot.visualization.transformer

## Class PointEdge

- java.lang.Object
- - net.dontdrinkandroot.visualization.transformer.PointEdge

    public class PointEdge
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PointEdge(Point2D p1, Point2D p2)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`Point2D` `getP1()`
`Point2D` `getP2()`
`int` `hashCode()`
`void` `setP1(Point2D p1)`
`void` `setP2(Point2D p2)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PointEdge

    public PointEdge(Point2D p1,
             Point2D p2)

### Method Detail

#### getP1

    public final Point2D getP1()

#### getP2

    public final Point2D getP2()

#### setP1

    public final void setP1(Point2D p1)

#### setP2

    public final void setP2(Point2D p2)

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public final boolean equals(Object obj)

Overrides:
  `equals` in class `Object`